Bug 1127683 - UI crash when configure hosted-engine with unreachable path
Summary: UI crash when configure hosted-engine with unreachable path
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-node-plugin-vdsm
Version: unspecified
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 3.5.0
Assignee: Douglas Schilling Landgraf
QA Contact: wanghui
URL:
Whiteboard: node
Depends On:
Blocks: 1140462
TreeView+ depends on / blocked
 
Reported: 2014-08-07 10:52 UTC by wanghui
Modified: 2016-02-10 19:40 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1140462 (view as bug list)
Environment:
Last Closed: 2014-10-17 12:45:10 UTC
oVirt Team: Node


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 32661 master MERGED hosted_engine_page: replace RuntimeError with InfoDialog Never
oVirt gerrit 32797 ovirt-3.5 MERGED hosted_engine_page: replace RuntimeError with InfoDialog Never

Description wanghui 2014-08-07 10:52:26 UTC
Description of problem:
If setup the hosted-engine with an unreachable path, it will report error like follows. It should be better to provide more friendly info and roll back to TUI page.
================================================================================
An error appeared in the UI: RuntimeError('Error Downloading ISO/OVA Image',)
Press ENTER to logout ...
or enter 's' to drop to shell
================================================================================

Version-Release number of selected component (if applicable):
ovirt-node-iso-3.5.0.ovirt35.20140805.0.el6.iso
ovirt-node-3.1.0-0.0.master.20140805.git67e6b92.el6.noarch
ovirt-node-plugin-hosted-engine-0.1.0-0.0.master.20140701.gitb651331.el6.x86_64
ovirt-node-plugin-vdsm-0.2.0-1.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. Install ovirt-node-iso-3.5.0.ovirt35.20140805.0.el6.iso.
2. Enable Network
3. Configure Hosted Engine with an unreachable ISO/OVA path like 1.1.1.1:/home/iso.

Actual results:
1. After step3, it will report the error like follows.
================================================================================
An error appeared in the UI: RuntimeError('Error Downloading ISO/OVA Image',)
Press ENTER to logout ...
or enter 's' to drop to shell
================================================================================

Expected results:
1. It should provide more friendly info and roll back to TUI page.

Additional info:

Comment 1 Douglas Schilling Landgraf 2014-09-09 05:43:02 UTC
Component should be:
ovirt-node-plugin-hosted-engine but I cannot see it in the list, kept ovirt-node-plugi-vdsm.

Comment 3 Sandro Bonazzola 2014-10-17 12:45:10 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.